Coins 1.96

Let your server have custom currency and shops

  1. sklm
    sklm
    5/5,
    Version: 1.96
    代码精短。
    兼容性高。(可以通过桥,兼容海绵!)
    如果添加消耗硬币获得奖励的指令就好了!!

    新手,完全不会使用这个。

    哪怕有一个简单的消耗硬币的指令。也是很不错的!
  2. Yom
    Yom
    5/5,
    Version: 1.96
    Is good plagggan. But could be better if it work. Sorry plaggooon is goo = :D how many times do I ned to put in server?
  3. MoMOAH
    MoMOAH
    4/5,
    Version: 1.96
    :) Awesome plugins, if it can add more functions will be great !! keep on! ***** 5 Stars
  4. SunnyLo
    SunnyLo
    5/5,
    Version: 1.96
    Great plugin, I think it is the only plugin for custom currency, API, and custom shop. But is there any support discord so that we can ask questions, also, can I use this plugin over 1.10?
    1. JasperJH
      Author's Response
      Thanks for the review. I don't really think I need to add a discord for the plugin, since you can easily contact me on here. However I might still create one just to make it easier to get in contact with me.

      The plugin should work fine on version 1.10 and above. I haven't listed them as working versions since I haven't tested them myself.
  5. LucaDZN
    LucaDZN
    5/5,
    Version: 1.96
    I love this plugin. Thanks to this plugin I managed to plug all plugins without bugs. Really a good job Jasper!
    1. JasperJH
      Author's Response
      Thanks for the review!
  6. Alperen
    Alperen
    5/5,
    Version: 1.96
    Featherboard %COINS% Don't working .
    1. JasperJH
      Author's Response
      Thanks for the review. Featherboard doesn't support this coins plugin, so that is why the %COINS% placeholder isn't working.
  7. DroodVS
    DroodVS
    3/5,
    Version: 1.96
    Good plugin however players coins can go below 0 when they spend them :/


    This is to reach 100 Characters
    1. JasperJH
      Author's Response
      Thanks for the review. It shouldn't be possible to go below the 0 coins. However, haven't had the code for this project open in a long time and will look into it!
  8. Blood
    Blood
    4/5,
    Version: 1.96
    Nice plugin, but could you please add command (or permission) not to remove coins (display error message) if player doesn't have them (Ex. I execute /Coins remove Nick 500 and Nick has 200, so it will be good if customizable error message will display). Thank you!
    1. JasperJH
      Author's Response
      Thanks for the review!

      I believe the plugin won't go below zero. So there isn't anything going wrong when the player doesn't have enough coins!

      But I might add it later if I have a working pc again!
  9. Ilario42
    Ilario42
    5/5,
    Version: 1.96
    good plugin, please enable variables for featherboard (mwdw) please .....

    Good work

    the plugin is fantastic
    1. JasperJH
      Author's Response
      Thanks for the review!

      I don't own a version of Featherboard so I'm unable to hook into that plugin and add my own placeholders.
  10. Jonathan10
    Jonathan10
    4/5,
    Version: 1.96
    the plugin is not updated with mysql :s

    I on minecraft: 5 coins
    mysql: 0 coins

    Can you please remove the bug ?

    Thanks
    1. JasperJH
      Author's Response
      That is because the MySQL table will only update when you leave!
  11. omermarvel
    omermarvel
    5/5,
    Version: 1.91
    why, not removing from offline player? ?
    1. JasperJH
      Author's Response
      Thanks for the review, I didn't add that because I thought nobody would really need that. But I will maybe add it soon!
  12. yoann
    yoann
    1/5,
    Version: 1.8
    No work, i have a bungee server and in my server 1, i have 10 coins and in my server 2 i have, 2 coins. The mysql in config has been good ! ...
    Terrible plugin ... Please fix this
    1. JasperJH
      Author's Response
      If you find any bugs post them in the discuss tab, not in a bad review
  13. Kradosser
    Kradosser
    5/5,
    Version: 1.5
    Nice Plugin ;D
    1. JasperJH
      Author's Response
      Thanks :)
  14. Raymart
    Raymart
    3/5,
    Version: 1.5
    Any softdefendencies ? like Vault ?
    1. JasperJH
      Author's Response
      No, not yet
  15. IFz
    IFz
    5/5,
    Version: 1.01
    MySQL?
    1. JasperJH
  16. zCastle
    zCastle
    5/5,
    Version: 1.0
    I have this error:
    [23:35:35 ERROR]: Could not load 'plugins\Coins.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.NoClassDefFoundError: net/mi
    necraft/server/v1_8_R1/Packet
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.j
    ava:131) ~[spigot.jar:git-Spigot-1483]
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.
    java:329) ~[spigot.jar:git-Spigot-1483]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager
    .java:251) [spigot.jar:git-Spigot-1483]
    at org.bukkit.craftbukkit.v1_7_R3.CraftServer.loadPlugins(CraftServer.ja
    va:358) [spigot.jar:git-Spigot-1483]
    at net.minecraft.server.v1_7_R3.DedicatedServer.init(DedicatedServer.jav
    a:135) [spigot.jar:git-Spigot-1483]
    at net.minecraft.server.v1_7_R3.MinecraftServer.run(MinecraftServer.java
    :457) [spigot.jar:git-Spigot-1483]
    at net.minecraft.server.v1_7_R3.ThreadServerApplication.run(SourceFile:6
    28) [spigot.jar:git-Spigot-1483]
    Caused by: java.lang.NoClassDefFoundError: net/minecraft/server/v1_8_R1/Packet
    at java.lang.Class.forName0(Native Method) ~[?:1.8.0_45]
    at java.lang.Class.forName(Unknown Source) ~[?:1.8.0_45]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.jav
    a:40) ~[spigot.jar:git-Spigot-1483]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.j
    ava:127) ~[spigot.jar:git-Spigot-1483]
    ... 6 more
    Caused by: java.lang.ClassNotFoundException: net.minecraft.server.v1_8_R1.Packet

    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.
    java:67) ~[spigot.jar:git-Spigot-1483]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.
    java:62) ~[spigot.jar:git-Spigot-1483]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_45]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_45]
    at java.lang.Class.forName0(Native Method) ~[?:1.8.0_45]
    at java.lang.Class.forName(Unknown Source) ~[?:1.8.0_45]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.jav
    a:40) ~[spigot.jar:git-Spigot-1483]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.j
    ava:127) ~[spigot.jar:git-Spigot-1483]
    1. JasperJH
      Author's Response
      Which version are you using?